
package model;

/**
 * 请假审批状态枚举类
 */
public enum ApprovalStatus {
    PENDING("待审批"),    // 等待审批
    APPROVED("已批准"),   // 已经批准
    REJECTED("已驳回");   // 已经驳回

    private final String description;  // 状态描述

    ApprovalStatus(String description) {
        this.description = description;
    }

    public String getDescription() {
        return description;
    }
}